View Issue Details

IDProjectCategoryView StatusLast Update
00305272.x IDE BugsCompilingPublic2019-02-27 11:30
ReporterStewart BishopAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030527: Compiling: Projects with massive sprites which fail to compile should better report the issue, tell user to reduce size
DescriptionWithin the specified project the user has massive sprites that are far bigger than any texture page size we allow. Their project then failsto compile due to a memory error loading the sprite.

We should disallow the creation of sprites this big and also throw a more informative error when we detect one of these during a compile - "Sprite [sprite name] is too large to compile - please reduce the size"
Steps To Reproduce1) Open the\\yoyo-file01\Projects\GMS2-Bugs\0030527-Error.yyz
2) Run it
3) See this fails to compile and gives a semi-vague error
Repro: 100%
TagsCompiler
2.x IDE Found In2.2.2.393
2.x Runtime Found In2.2.2.308
2.x IDE Verified In2.2.2.395
2.x Runtime Verified In2.2.2.310

Activities

Russell Kay

2019-02-19 20:50

Manager   ~0063254

Fixed in gitlab

Dan

2019-02-25 12:12

Adminstrator   ~0063316

Last edited: 2019-02-25 12:13

View 2 revisions

An output window error message has now been added for when a sprite is too large, however we also identified a bug which meant we were doing far too much work here anyway. Fixing that has actually allowed this sprite to now compile, so far more large sprites will compile than would before.

To the original reporter - this sprite is massive (!) and completely unnecessary, you really want to reduce your gameplay sprite sizes a LOT.

Dan

2019-02-25 12:14

Adminstrator   ~0063317

Runtime 309+

Dan

2019-02-27 11:30

Adminstrator   ~0063362

Works fine now. Closing.